Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Rooms

Enhancements to Zoom Rooms endpoints for events and calendar resources

API release

Summary:The Zoom Rooms APIs have added new methods, parameters, and fields related to meeting events, calendar resources, settings, and querying. This includes restart, leave, join, invite, cancel, end meeting methods; meeting number, passcode, force accept, user IDs, topic, start time, duration, timezone parameters; calendar resource ID field; entry/exit chime and record/play own voice settings fields; and query name parameter.

Enhancements

New zoomroom.restart, zoomroom.meeting_leave, zoomroom.meeting_join, zoomroom.meeting_invite, zoomroom.meeting_cancel, zoomroom.meeting_end, zoomroom.mute, zoomroom.unmute, zoomroom.meeting_accept, and zoomroom.meeting_decline values for the method field and new meeting_number, passcode, force_accept, user_ids, meeting_topic, start_time, duration, and timezone fields in the params field in the Zoom Rooms API:

  • PATCH /v2/rooms/{id}/events

New query_name request parameter field in the following Zoom Rooms API:

  • GET /v2/rooms

New calendar_resource_id field in the following Zoom Rooms APIs:

  • GET /v2/rooms/{roomId}
  • PATCH /v2/rooms/{roomId}
  • POST /v2/rooms

New entry_exit_chime, record_play_own_voice field in the following Zoom Room APIs:

  • GET /v2/rooms/{id}/settings
  • PATCH /v2/rooms/{id}/settings